%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name libtheora
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:           mingw-libtheora
Version:        1.1.1
Release:        1%{?dist}
Summary:        Cross compiled Theora Video Compression Codec

Group:          System Environment/Libraries
License:        BSD
URL:            http://www.theora.org
Source0:        http://downloads.xiph.org/releases/theora/libtheora-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-libogg
BuildRequires:  mingw32-libvorbis
BuildRequires:  mingw32-SDL
BuildRequires:  mingw32-libpng
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-libogg
BuildRequires:  mingw64-libvorbis
BuildRequires:  mingw64-SDL
BuildRequires:  mingw64-libpng

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.


# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.


%prep
%setup -q -n libtheora-%{version}
# no custom CFLAGS please
# sed -i 's/CFLAGS="$CFLAGS $cflags_save"/CFLAGS="$cflags_save"/g' configure

%build
%mingw_configure "--enable-shared" "--disable-static" "--disable-examples"
# Don't use rpath!
# sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
# sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{mingw32_datadir}/doc/libtheora-%{version}
rm -rf $RPM_BUILD_ROOT/%{mingw64_datadir}/doc/libtheora-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc README COPYING
%{mingw32_libdir}/libtheora.dll.a
%{mingw32_libdir}/libtheoraenc.dll.a
%{mingw32_libdir}/libtheoradec.dll.a
%{mingw32_libdir}/libtheora.la
%{mingw32_libdir}/libtheoraenc.la
%{mingw32_libdir}/libtheoradec.la

%{mingw32_includedir}/theora
%{mingw32_bindir}/libtheora-0.dll
%{mingw32_bindir}/libtheoraenc-1.dll
%{mingw32_bindir}/libtheoradec-1.dll
%{mingw32_libdir}/pkgconfig/theora*.pc

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root,-)
%doc README COPYING
%{mingw64_libdir}/libtheora.dll.a
%{mingw64_libdir}/libtheoraenc.dll.a
%{mingw64_libdir}/libtheoradec.dll.a
%{mingw64_libdir}/libtheora.la
%{mingw64_libdir}/libtheoraenc.la
%{mingw64_libdir}/libtheoradec.la

%{mingw64_includedir}/theora
%{mingw64_bindir}/libtheora-0.dll
%{mingw64_bindir}/libtheoraenc-1.dll
%{mingw64_bindir}/libtheoradec-1.dll
%{mingw64_libdir}/pkgconfig/theora*.pc


%changelog
* Fri May 13 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> 1.1.1-1
- Updated to libtheora 1.1.1
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> 1.1.0-1
- libtheora 1.1.0 for windows
- Based on previous Fedora packaging.
